import request from '@/helpers/request'

// 排课
export const createVipCourse = async (data) => {
    return request({
        url: '/activityUserMapper/createVipGroup',
        method: 'post',
        data
    })
}
// 排课 - 网管课
export const createPracticeGroup = async (data) => {
    return request({
        url: '/activityUserMapper/createPracticeGroup',
        method: 'post',
        data
    })
}

//获取活动排课详情
export const getActiveCourseInfo = async (data) => {
    return request({
        url: '/activity/getActivityWaitCourseStudentNum?activityId=' + data,
        method: 'get'
    })
}

// 获取单课时长
export const getActivityCourseTimeList = async (data) => {
    return request({
        url: '/activityUserMapper/queryActivityCourseTimeList',
        method: 'post',
        data
    })
}

//获取声部列表
export const getStuSubject = (data) => {
    return request({
        url: '/student/queryStuSubjectId',
        method: 'get'
    })
}

//学员列表筛选
export const studentsFilter = async (data) => {
    try {
        const result = await request({
            url: '/activityUserMapper/queryActivityStudentList',
            method: 'post',
            data
        })
        return result
    } catch (error) {

    }
    return ''
}

// 获取所有活动类型
export const getActivityUserMapper = async () => {
    try {
        const result = await request({
            url: '/activityUserMapper/queryWaitCourseCategory',
            method: 'post'
        })
        return result
    } catch (error) {

    }
    return ''
}

//获取所有分部
export const getAllOrganization = async () => {
    return request({
        url: '/organization/queryEmployeeOrgan',
        method: 'get'
    })
}